[Openerp-community] Windows Installer

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

[Openerp-community] Windows Installer

contact
Hi

I had installed OpenERP version 6.0.3 on Windows using Individual installations of server, web and client (not the all-in-one). These packages have python 2.5 dll packaged with them.

The code which is working on Ubuntu is breaking in Windows.

Pls suggest the remedy for this

Appreciate your support

Thanks
Sunila






_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to     : [hidden email]
Unsubscribe : https://launchpad.net/~openerp-community
More help   : https://help.launchpad.net/ListHelp
Reply | Threaded
Open this post in threaded view
|

Re: [Openerp-community] Windows Installer

P. Christeas-2
On Monday 12 December 2011, [hidden email] wrote:
> Hi
>
> I had installed OpenERP version 6.0.3 on Windows using Individual
> installations of server, web and client (not the all-in-one). These
> packages have python 2.5 dll packaged with them.
>
> The code which is working on Ubuntu is breaking in Windows.
>
> Pls suggest the remedy for this

For the client, you could try this one:
http://members.hellug.gr/xrg/win32/

It is from the "trunk-xrg" series, much faster than the official.



--
Say NO to spam and viruses. Stop using Microsoft Windows!

_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to     : [hidden email]
Unsubscribe : https://launchpad.net/~openerp-community
More help   : https://help.launchpad.net/ListHelp
Reply | Threaded
Open this post in threaded view
|

Re: [Openerp-community] Windows Installer

Alan Lord (Gmail)
In reply to this post by contact
On 12/12/11 11:40, [hidden email] wrote:
> I had installed OpenERP version 6.0.3 on Windows using Individual
> installations of server, web and client (not the all-in-one). These
> packages have python 2.5 dll packaged with them.
>
> The code which is working on Ubuntu is breaking in Windows.
>
> Pls suggest the remedy for this

I think you will need to provide much more information to get something
even resembling a useful answer.

Alan


_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to     : [hidden email]
Unsubscribe : https://launchpad.net/~openerp-community
More help   : https://help.launchpad.net/ListHelp
Reply | Threaded
Open this post in threaded view
|

Re: [Openerp-community] Windows Installer

contact
In reply to this post by contact
Hi Alan,

I was told that OE 6.0.3 version needs Python 2.6 / 2.7. But these installation (Windows individual installation) packages have Python2.5 dlls in their directory.

If I replace these Python2.5 dlls with Python2.6 dlls will it be OK ? Or there is some more steps to it?

Appreciate your response,

Thanks & Regards
Sunila

----- Original Message -----
From: Alan Lord (Gmail) [mailto:[hidden email]]
To: [hidden email]
Sent: Mon, 12 Dec 2011 12:01:43 +0000
Subject: Re: [Openerp-community] Windows Installer

On 12/12/11 11:40, contact@... wrote:
> I had installed OpenERP version 6.0.3 on Windows using Individual
> installations of server, web and client (not the all-in-one). These
> packages have python 2.5 dll packaged with them.
>
> The code which is working on Ubuntu is breaking in Windows.
>
> Pls suggest the remedy for this

I think you will need to provide much more information to get something
even resembling a useful answer.

Alan


_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to    : openerp-community@...
Unsubscribe : https://launchpad.net/~openerp-community
More help  : https://help.launchpad.net/ListHelp

_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to     : [hidden email]
Unsubscribe : https://launchpad.net/~openerp-community
More help   : https://help.launchpad.net/ListHelp
Reply | Threaded
Open this post in threaded view
|

Re: [Openerp-community] Windows Installer

Christopher Ormaza
Hi, i wrote a guide to compile openerp with Python26 for windows, It's in Spanish, but I hope that you can translate and use

http://openerpecuador.org/2011/12/12/aeroo-reports-instalacion-windows-1ra-parte/

Regards
Christopher Ormaza
Ecuadorenlinea.net

El 12/12/11 07:08, [hidden email] escribió:
Hi Alan,

I was told that OE 6.0.3 version needs Python 2.6 / 2.7. But these installation (Windows individual installation) packages have Python2.5 dlls in their directory.

If I replace these Python2.5 dlls with Python2.6 dlls will it be OK ? Or there is some more steps to it?

Appreciate your response,

Thanks & Regards
Sunila

----- Original Message -----
From: Alan Lord (Gmail) [[hidden email]]
To: [hidden email]
Sent: Mon, 12 Dec 2011 12:01:43 +0000
Subject: Re: [Openerp-community] Windows Installer

On 12/12/11 11:40, contact@... wrote:
> I had installed OpenERP version 6.0.3 on Windows using Individual
> installations of server, web and client (not the all-in-one). These
> packages have python 2.5 dll packaged with them.
>
> The code which is working on Ubuntu is breaking in Windows.
>
> Pls suggest the remedy for this

I think you will need to provide much more information to get something
even resembling a useful answer.

Alan


_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to    : openerp-community@...
Unsubscribe : https://launchpad.net/~openerp-community
More help  : https://help.launchpad.net/ListHelp


_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to     : [hidden email]
Unsubscribe : https://launchpad.net/~openerp-community
More help   : https://help.launchpad.net/ListHelp


-- 
Saludos
Christopher Ormaza

_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to     : [hidden email]
Unsubscribe : https://launchpad.net/~openerp-community
More help   : https://help.launchpad.net/ListHelp
Reply | Threaded
Open this post in threaded view
|

Re: [Openerp-community] Windows Installer

Olivier Dony (OpenERP)
In reply to this post by contact
On 12/12/2011 01:08 PM, [hidden email] wrote:
> I was told that OE 6.0.3 version needs Python 2.6 / 2.7.

That's not correct, the OpenERP 6.0 series only requires Python 2.5.
Python 2.6 will only be required as of the 6.1 series. So perhaps you
have nothing to worry about...

_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to     : [hidden email]
Unsubscribe : https://launchpad.net/~openerp-community
More help   : https://help.launchpad.net/ListHelp
Reply | Threaded
Open this post in threaded view
|

Re: [Openerp-community] Windows Installer

Olivier Dony (OpenERP)
In reply to this post by contact
On 12/14/2011 12:23 PM, [hidden email] wrote:
> Then why does the code which is working in Ubuntu is not working on
> Windows. The code which is breaking is
>
> pur_yr = datetime.strptime(asset.date_of_purchase,'%Y-%m-%d').year
>
> works fine on Ubuntu 11 (Python 2.7 running on it)

If it works, it must be for another reason. Here is an example on Ubuntu
11.10, python 2.7:

>>> import datetime,sys
>>> sys.version
'2.7.2+ (default, Oct  4 2011, 20:06:09) \n[GCC 4.6.1]'
>>> datetime.datetime.strptime('2011-10-11 00:00:00','%Y-%m-%d')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/_strptime.py", line 328, in _strptime
    data_string[found.end():])
ValueError: unconverted data remains:  00:00:00
>>> datetime.datetime.strptime('2011-10-11 00:00:00',
...                            '%Y-%m-%d %H:%M:%S')
datetime.datetime(2011, 10, 11, 0, 0)
>>>

As you can see, the behavior of strptime is as expected on Python 2.7 as
well.



> The same code on Windows (with Python 2.5 came along with OpenERP
> installation) does not work, gives following error
>
> Traceback (most recent call last):
> File "netsvc.pyo", line 489, in dispatch
> File "service\web_services.pyo", line 599, in dispatch
> File "osv\osv.pyo", line 122, in wrapper
> File "osv\osv.pyo", line 176, in execute
> File "osv\osv.pyo", line 167, in execute_cr
> File "C:\Program Files (x86)\OpenERP
> 6.0\Server\addons\Fixed_Assets\fixed_assets.py", line 302, in
> compute_depreciation
> File "C:\Program Files (x86)\OpenERP
> 6.0\Server\addons\Fixed_Assets\fixed_assets.py", line 211, in
> _cal_deprciation
> File "_strptime.pyo", line 333, in strptime
> ValueError: unconverted data remains: 00:00:00

Perhaps that's an error in the module you are using. What does
`asset.date_of_purchase` really return in Windows, and in Ubuntu?
To make things simpler, is there somewhere we can read the exact source
code of the module you are using?

Cheers,


PS: please keep the list in Cc so this thread can be useful for others
in the future

_______________________________________________
Mailing list: https://launchpad.net/~openerp-community
Post to     : [hidden email]
Unsubscribe : https://launchpad.net/~openerp-community
More help   : https://help.launchpad.net/ListHelp